SDL_OnApplicationWillEnterForeground(3)

NAME
SDL_OnApplicationWillEnterForeground - Let iOS apps with external event handling report onApplicationWillEnterForeground.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_OnApplicationWillEnterForeground(void);

DESCRIPTION
This functions allows iOS apps that have their own event handling to hook into SDL to generate SDL events. This maps directly to an iOS-specific event, but since it doesn't do anything iOS-specific internally, it is available on all platforms, in case it might be useful for some specific paradigm. Most apps do not need to use this directly; SDL's internal event code will handle all this for windows created by

SDL_CreateWindow !

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.